## python-dist-meta 0.8.0+dfsg

=== doc-source/requirements.txt ===
default-values>=0.5.0
extras-require>=0.2.0
furo>=2020.11.19b18
html-section>=0.1.0
seed-intersphinx-mapping>=0.3.1
sphinx>=3.0.3
sphinx-copybutton>=0.2.12
sphinx-debuginfo>=0.1.0
sphinx-inline-tabs>=2021.4.11b9
sphinx-licenseinfo>=0.1.1
sphinx-notfound-page>=0.7.1
sphinx-packaging>=0.1.1
sphinx-prompt>=1.1.0
sphinx-pyproject>=0.1.0
sphinx-tabs>=1.1.13
sphinx-toolbox>=3.0.0
sphinxemoji>=0.1.6
toctree-plus>=0.5.0

=== debian/changelog ===
python-dist-meta (0.8.0+dfsg-3) unstable; urgency=medium

  * debian/control:
      - Added dependency for running tests
      - Added 'Testsuite: autopkgtest-pkg-pybuild'
  * debian/patches: Skipped function with error
  * debian/rules: Enabled test execution

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 01 Jan 2024 19:55:07 -0300

python-dist-meta (0.8.0+dfsg-2) unstable; urgency=medium

  * Source-only load for test migration

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 30 Aug 2023 22:40:25 -0300

python-dist-meta (0.8.0+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #1027685)
  * Repack the tarball to exclude test .whl files, some of which are non-DFSG.

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 01 Jan 2023 12:06:18 -0300

=== debian/control ===
Source: python-dist-meta
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pybuild-plugin-pyproject,
               python3-all,
               python3-apeye,
               python3-atomicwrites,
               python3-coincidence,
               python3-colorama,
               python3-consolekit,
               python3-first,
               python3-coverage,
               python3-domdf-python-tools,
               python3-flake8,
               python3-handy-archives,
               python3-importlib-metadata,
               python3-packaging,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-datadir,
               python3-pytest-regressions,
               python3-pytest-rerunfailures,
               python3-pytest-timeout,
               python3-setuptools,
               python3-shippinglabel,
               python3-sphinx
Standards-Version: 4.6.2
Homepage: https://github.com/repo-helper/dist-meta
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-dist-meta
Vcs-Git: https://salsa.debian.org/python-team/packages/python-dist-meta.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-dist-meta
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Parse and create Python distribution metadata
 dist-meta and is a set of support tools for managing metadata of a GitHub
 repository. This library provides a convenient way to automatically generate
 and update metadata files such as README files, license files, changelog
 files, and more.
 .
 The main purpose of dist-meta is to ease the process of maintaining these
 files in projects hosted on GitHub by providing a command line interface
 (CLI) to automatically generate and update the necessary metadata files. It
 is especially useful for projects that follow specific standards or formatting
 guidelines for their metadata files.
 .
 you can automate tasks like:
  - Automatically generate and update your project's README file based on a
    predefined or custom template.
  - Generate license files, such as the LICENSE file, from a pool of available
    licenses.
  - Create changelog files based on changes made to your repository.
  - Verify that your project's metadata files are up to date according to
    defined best practices.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_TEST_CUSTOM=1

%:
	dh $@ --with python3  --buildsystem=pybuild

#tests depend on the module 'pypi_json' which is not in Debian.
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	 python3 -m pytest -v \
	--ignore=tests/test_metadata_top_packages.py \
	--ignore=tests/test_distributions.py
endif

## python-dist-meta 0.8.1+dfsg

=== doc-source/requirements.txt ===
default-values>=0.6.0
extras-require>=0.5.0
furo==2021.06.18b36
html-section>=0.3.0
seed-intersphinx-mapping>=1.2.2
sphinx>=3.0.3
sphinx-copybutton>=0.5.2
sphinx-debuginfo>=0.2.2
sphinx-inline-tabs>=2021.4.11b9
sphinx-licenseinfo>=0.3.1
sphinx-notfound-page>=0.7.1
sphinx-packaging>=0.1.1
sphinx-prompt>=1.1.0
sphinx-pyproject>=0.1.0
sphinx-tabs>=1.1.13
sphinx-toolbox>=3.5.0
sphinxemoji>=0.2.0
toctree-plus>=0.6.1

=== debian/changelog ===
python-dist-meta (0.8.1+dfsg-1) unstable; urgency=medium

  * New upstream version 0.8.1+dfsg

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Fri, 24 May 2024 20:47:48 -0300

## python-dist-meta 0.9.0+dfsg

=== requirements.txt ===
domdf-python-tools>=3.1.0
handy-archives>=0.1.0
packaging>=20.9

=== doc-source/requirements.txt ===
--- 
+++ 
@@ -10,9 +10,13 @@
 sphinx-licenseinfo>=0.3.1
 sphinx-notfound-page>=0.7.1
 sphinx-packaging>=0.1.1
-sphinx-prompt>=1.1.0
 sphinx-pyproject>=0.1.0
-sphinx-tabs>=1.1.13
 sphinx-toolbox>=3.5.0
+sphinxcontrib-applehelp==1.0.4
+sphinxcontrib-devhelp==1.0.2
+sphinxcontrib-htmlhelp==2.0.1
+sphinxcontrib-jsmath==1.0.1
+sphinxcontrib-qthelp==1.0.3
+sphinxcontrib-serializinghtml==1.1.5
 sphinxemoji>=0.2.0
 toctree-plus>=0.6.1

=== tests/requirements.txt ===
# Attrs is required here as pytest no longer depends upon it
apeye>=1.0.1
atomicwrites>=1.4.1
attrs>=22.2.0
coincidence>=0.2.0
colorama>=0.4.5
consolekit>=1.2.3
coverage>=5.1
coverage-pyver-pragma>=0.2.1
first>=2.0.2
flake8==3.9.2
hpy==0.0.3; python_version >= "3.7" and implementation_name == "cpython" and python_version < "3.11"
importlib-metadata>=3.6.0
pypi-json>=0.2.1
pytest>=6.0.0
pytest-cov>=2.8.1
pytest-randomly>=3.7.0
pytest-rerunfailures>=10.1
pytest-timeout>=1.4.2
pytz>=2022.7.1
shippinglabel>=0.16.0
sphinx==4.0.2

=== debian/changelog ===
python-dist-meta (0.9.0+dfsg-2) unstable; urgency=medium

  * Team Upload
  * Drop build-dep on python3-importlib-metadata

 -- Alexandre Detiste <tchet@debian.org>  Sat, 10 May 2025 14:55:57 +0200

python-dist-meta (0.9.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.0+dfsg
  * debian/control:
     - Added 'Build-Depends' requires for build-system
     - Bumped Standards-Version to 4.7.0
     - Changed dh-python by dh-sequence-python3
  * debian/salsa-ci.yml: Added file

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 03 Mar 2025 08:44:46 -0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
                python3-apeye,
@@ -18,7 +18,8 @@
                python3-domdf-python-tools,
                python3-flake8,
                python3-handy-archives,
-               python3-importlib-metadata,
+               python3-hatch-requirements-txt,
+               python3-hatchling,
                python3-packaging,
                python3-pytest,
                python3-pytest-cov,
@@ -29,7 +30,7 @@
                python3-setuptools,
                python3-shippinglabel,
                python3-sphinx
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/repo-helper/dist-meta
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-dist-meta
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-dist-meta.git

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_TEST_CUSTOM=1
 
 %:
-	dh $@ --with python3  --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 #tests depend on the module 'pypi_json' which is not in Debian.
 override_dh_auto_test:

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+dfsg \
https://github.com/repo-helper/dist-meta/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
